JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ComponentPeer::VBlankListener Struct Referenceabstract
juce_gui_basics » windows

Used to receive callbacks on every vertical blank event of the display that the peer currently belongs to. More...

`#include <juce_ComponentPeer.h>`

Inheritance diagram for ComponentPeer::VBlankListener:

## Public Member Functions
virtual | ~VBlankListener ()=default
| Destructor.
virtual void | onVBlank ()=0
| Called on every vertical blank of the display to which the peer is associated.

## Detailed Description

Used to receive callbacks on every vertical blank event of the display that the peer currently belongs to.

On Linux this is currently limited to receiving callbacks from a timer approximately at display refresh rate.

This is a low-level facility used by the peer implementations. If you wish to synchronise Component events with the display refresh, you should probably use the VBlankAttachment, which automatically takes care of listening to the vblank events of the right peer.

See also
  VBlankAttachment

## Constructor & Destructor Documentation

## ◆ ~VBlankListener()

virtual ComponentPeer::VBlankListener::~VBlankListener | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ onVBlank()

virtual void ComponentPeer::VBlankListener::onVBlank | ( |  | ) |
| pure virtual

Called on every vertical blank of the display to which the peer is associated.

Implemented in VBlankAttachment.

The documentation for this struct was generated from the following file:

- juce_ComponentPeer.h